<template>
  <ChatSystemMessage
    :hide-author="isCanceledCall"
    :message="message"
  >
    <JText
      v-if="!isCanceledCall"
      tag="div"
      color="third-text"
      weight="normal"
      type="text-2"
    >
      {{ $t('user_end_call_info') }}

      <JText
        color="secondary-title"
        weight="bold"
        type="text-2"
      >
        {{ callDuration }}
      </JText>
    </JText>
    <JText
      v-else
      tag="div"
      color="third-text"
      weight="normal"
      type="text-2"
    >
      {{ $t('cancelled_call_info') }}
    </JText>
  </ChatSystemMessage>
</template>

<script lang="ts" setup>
import { computed, PropType } from 'vue';
import { JText } from '@new-jira-clone/ui/src/components';
import { IMessage } from '@/shared';
import useGetCallDuration from '../model/useGetCallDuration';
import ChatSystemMessage from './ChatSystemMessage';

const props = defineProps({
  message: {
    type: Object as PropType<IMessage>,
    required: true,
  },
});

const { callDuration } = useGetCallDuration(props.message);

const isCanceledCall = computed(() => !props.message.extra);
</script>
